Bug 805627 - While create a new user, unable to select "Save User"
While create a new user, unable to select "Save User"
Status: CLOSED ERRATA
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Content Management (Show other bugs)
6.0.0
Unspecified Unspecified
unspecified Severity high (vote)
: Unspecified
: --
Assigned To: Justin Sherrill
Kedar Bidarkar
: Triaged, ZStream
Depends On:
Blocks: 827537
  Show dependency treegraph
 
Reported: 2012-03-21 13:28 EDT by Steve Reichard
Modified: 2013-03-27 16:39 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
When creating a user, any password mismatches prevented the user from saving the record without notification. This fix to the code for user creation fixes this error and displays an error message when a password mismatch occurs.
Story Points: ---
Clone Of:
: 827537 (view as bug list)
Environment:
Last Closed: 2012-12-04 14:43:25 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
movie (2.49 MB, video/ogg)
2012-03-21 13:28 EDT, Steve Reichard
no flags Details

  None (edit)
Description Steve Reichard 2012-03-21 13:28:35 EDT
Created attachment 571783 [details]
movie

Description of problem:

I attempted to create a new user and after entering all information I was unable to select the "Save User" button.  Eventually I started over and had success.  I believe I now know what the problem was, my passwords didn't match.   I think there needs to be a better indicator of the problem.

See attached video.


Version-Release number of selected component (if applicable):


Beta 5


Red Hat Enterprise Linux Server release 6.2 (Santiago)
Linux cf-se6.cloud.lab.eng.bos.redhat.com 2.6.32-220.7.1.el6.x86_64 #1 SMP Fri Feb 10 15:22:22 EST 2012 x86_64 x86_64 x86_64 GNU/Linux
PyYAML-3.09-14.el6_1.x86_64
facter-1.5.9-1.el6.noarch
js-1.8.5-6.el6.x86_64
mongodb-1.8.2-3.el6.x86_64
mongodb-server-1.8.2-3.el6.x86_64
puppet-2.6.14-1.el6.noarch
pymongo-1.9-8.el6_1.x86_64
tomcat6-6.0.24-35.el6_1.noarch
ruby-1.8.7.352-6.el6.x86_64
grinder-0.0.139-1.el6.noarch
postgresql-server-8.4.9-1.el6_1.1.x86_64
postgresql-8.4.9-1.el6_1.1.x86_64
candlepin-0.5.26-1.el6.noarch
pulp-1.0.0-4.el6.noarch
katello-0.1.304-1.el6.noarch
katello-all-0.1.304-1.el6.noarch
katello-cli-0.1.104-1.el6.noarch
katello-configure-0.1.104-1.el6.noarch




How reproducible:

easily

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 2 Justin Sherrill 2012-03-22 18:06:21 EDT
Simple fix, the i18n text was missing on the _new partial, whereas it was there in the _edit_form partial.

bfd80822b3ba04372fb6d4c0618008f477fa3271
Comment 3 Justin Sherrill 2012-03-23 14:03:21 EDT
commit hash above is wrong (forgot to push),  new commit hash:  a00c98a2578e13490f43c95a28350b60a00d0c1e
Comment 9 errata-xmlrpc 2012-12-04 14:43:25 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2012-1543.html

Note You need to log in before you can comment on or make changes to this bug.